import axios from "../../utils/axios";

export function getReceiveOrderList(params) {
    return axios({
        url: "/device/receive/order/filterList",
        method: "get",
        params: params
    });
}

export function addReceiveOrder(data) {
    return axios({
        url: "/device/receive/order/addOrder",
        method: "post",
        data: data
    });
}

export function updateReceiveOrder(data) {
    return axios({
        url: "/device/receive/order/update",
        method: "post",
        data: data
    });
}

export function submitAudit(data) {
    return axios({
        url: "/device/receive/order/submitAudit",
        method: "post",
        data: data
    });
}

export function updateReceiveOrderStatus(data) {
    return axios({
        url: "/device/receive/order/updateStatus",
        method: "post",
        data: data
    });
}

export function deleteReceiveOrder(data) {
    return axios({
        url: "/device/receive/order/delete",
        method: "post",
        data: data
    });
}

export function getReceiveOrderDetailList(params) {
    return axios({
        url: "/device/receive/order/detail/filterList",
        method: "get",
        params: params
    });
}

export function checkCode(params) {
    return axios({
        url: "/device/receive/order/detail/checkCode",
        method: "get",
        params: params
    });
}

export function addReceiveOrderDetail(data) {
    return axios({
        url: "/device/receive/order/detail/addOrderDetail",
        method: "post",
        data: data
    });
}

export function updateReceiveOrderDetail(data) {
    return axios({
        url: "/device/receive/order/detail/updateOrderDetail",
        method: "post",
        data: data
    })
}

export function deleteReceiveOrderDetail(data) {
    return axios({
        url: "/device/receive/order/detail/deleteOrderDetail",
        method: "post",
        data: data
    });
}


